"use strict";
exports.__esModule = true;
var axios_1 = require("axios");
var safe_1 = require("colors/safe");
var BittrexApi = /** @class */ (function () {
    function BittrexApi() {
        this.baseUrl = "https://bittrex.com/api/v1.1/";
    }
    BittrexApi.prototype.getTicker = function (coin) {
        var url = this.baseUrl + "public/getmarketsummary?market=btc-" + coin.toUpperCase();
        axios_1["default"].get(url).then(function (response) {
            if (response.data.success != true)
                throw new Error('Error on consulting Bittrex api url (' + url + ').\n' + response.data.message);
            var result = response.data.result[0];
            console.log(safe_1.red("[!] Bittrex  [+]"));
            console.log(safe_1.green("Valor => " + result.Last));
            console.log(safe_1.green("Menor valor => " + result.Low));
            console.log(safe_1.green("Volume => " + result.Volume));
        })["catch"](function (err) {
            console.log(err);
        });
    };
    return BittrexApi;
}());
exports.BittrexApi = BittrexApi;
