#!/usr/bin/env node
"use strict";
exports.__esModule = true;
var yargs = require("yargs");
var safe_1 = require("colors/safe");
var coins_1 = require("./coins");
var bittrexApi_1 = require("./bittrexApi");
var cli = /** @class */ (function () {
    function cli() {
        this.cli(yargs.usage('Uso $0 --coin <coin> --exchange <exchange>')
            .options({
            'coin': {
                describe: 'Informe a criptomoeda desejada!',
                type: 'string'
            },
            'exchange': {
                describe: 'Informe a exchange desejada! (poloniex ou bittrex)',
                type: 'string'
            },
            'all': {
                describe: 'For all exchanges.'
            }
        })
            .demandOption(['coin'])
            .locale('pt_BR')
            .strict()
            .help()
            .version()
            .argv);
    }
    cli.prototype.cli = function (args) {
        if (args.coin && args.exchange) {
            //Getting tickerlink  from polo
            if (args.exchange.toLowerCase() === 'polo' || args.exchange.toLowerCase() === 'poloniex') {
                var coinPolo = new coins_1.getPolo();
                coinPolo.getCoin(args.coin.toUpperCase());
            }
            else if (args.exchange.toLowerCase() === 'bittrex') {
                var bittrexApi = new bittrexApi_1.BittrexApi();
                bittrexApi.getTicker(args.coin);
            }
            else if (args.all) {
                console.log("Chamou o all");
            }
            else {
                console.log(safe_1.red('Exchange not supported yet.'));
            }
        }
        else if (args.coin && args.all) {
            var bittrex = new bittrexApi_1.BittrexApi();
            bittrex.getTicker(args.coin);
            var polo = new coins_1.getPolo();
            polo.getCoin(args.coin.toUpperCase());
        }
    };
    return cli;
}());
exports.cli = cli;
var clii = new cli();
